ICAP Protocol Error after upgrading



  • Hello,

    I just recently upgraded Squid3 v 2.8 to 3.9.1 and now I receive an ICAP Protocol Error on most websites I try to access including pfSense. Is there  a way around this error so I can access the websites.

    Any help would be much appreciated.



  • Banned

    There is no way around  "no error" error. At minimum, post the output of

    
    ps ax | grep '[s]q'
    
    and look at the logs.[/s]
    


  • Same error. /var/squid/logs/c-icap-server.log empty, c-icap-access.log:
    10/Oct/2015:07:32:25 -0300, ::1 ::1 OPTIONS squid_clamav 500
    Squid only works with Antivirus disabled










  • Here is the output



  • Banned

    Beyond the conclusion reached on the other thread (your settings are messed up), nothing else I could advise here. Read the FAQ, flush broken settings, flush the Squid dirs if the "Keep Settings/Data" feature doesn't work for you, reconfigure from scratch.


Log in to reply